<template>
<div>
  <v-row>
    <v-col cols="4" v-for="(data, index) in products.data" :key="index">
    <v-card
    class="mx-auto my-5"
    max-width="344"
  >
      <!-- src="../assets/นาฬิกา.jpg" -->
      <!-- :src="data.img" -->
      <!-- :src="require(`../assets/${data.img}.jpg`)" -->
    <v-img
      :src="`../assets/${data.img}.png`"
      height="250px"
    ></v-img>

    <p style="color:red">{{data.img}}</p>
    <v-card-title>
      <h3>{{data.product_name}} </h3>
      <v-spacer></v-spacer>
      <h4> ราคา {{data.price}} บาท </h4>
    </v-card-title>

    <v-card-subtitle class="my-1">
      <h3>ไซส์ : {{data.detail.size}}</h3>
      <p>รายละเอียด : {{data.detail.description}}</p> 
      <div v-if="data.amount > 0">
        <p style="color:green">มีสินค้าทั้งหมด {{data.amount}} ชิ้น</p>
          <v-card-actions class="justify-center">
              <v-btn outlined color="teal" @click="addToCart(data)" href="/Carts"> <v-icon>mdi-cart-arrow-down</v-icon> เพิ่มไปยังรถเข็น</v-btn>
          </v-card-actions>
      </div>
      <div v-else>
        <p style="color:red">สินค้าหมด!!!</p>
          <v-card-actions class="justify-center" >
              <v-btn outlined disabled> <v-icon>mdi-cart-arrow-down</v-icon> เพิ่มไปยังรถเข็น</v-btn>
          </v-card-actions>
      </div>
    </v-card-subtitle>

  </v-card>
    </v-col>
  </v-row>
  </div>
</template>

<script>
import { EventBus } from '@/EventBus'
export default {
  data () {
    return {
      products: []
    }
  },
  created () {
    this.callGet()
  },
  methods: {
    callGet () {
      this.axios.get('http://localhost:3000/products').then((response) => {
        this.products = response.data
      })
    },
    addToCart (data) {
       console.log(data)
       alert('add to cart')
       EventBus.$emit('apptocart',data)
    }
  }
}
</script>

<style>

</style>
